param( [int] $count = "100",
[string] $server = "msnews.microsoft.com",
[string] $newsgroup = "microsoft.public.windows.powershell" )

$articles = get-nntp -server $server -newsgroup $newsgroup -list $count
$myhash = @{}
for($counter = 0; $counter -lt $articles.Length; $counter++)
{
  if (! $myhash.Contains($articles[$counter].FromName)) { $myhash.add($articles[$counter].FromName, 1) }
  else { $myhash[$articles[$counter].FromName] = $myhash[$articles[$counter].FromName] + 1 }
}

$myhash.GetEnumerator() | sort Value -descending
    
trap{
	write-host "Exception occurred (please find more information below), script execution was terminated."
	break
}